Bug 132794 - Invalid Architecture and OS combination
Invalid Architecture and OS combination
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
Depends On:
  Show dependency treegraph
Reported: 2004-09-17 00:56 EDT by schyu
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 15:18:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Screen shoots of some files and system parameters (51.60 KB, text/plain)
2004-09-18 01:53 EDT, schyu
no flags Details

  None (edit)
Description schyu 2004-09-17 00:56:57 EDT
Description of problem:up2date --register failed with "invalid 
Architecture and OS combination"

Version-Release number of selected component (if applicable):

How reproducible:
# up2date --register
  The GUI showed the error message

Steps to Reproduce:
1. up2date --register
2. Privacy
3. Login (successful)
4. Register a System Profile - Hardware
5. ...
Actual results:
The server registered but can't subscribe to any channels

Expected results:
Able to subscribe to any channels entitled

Additional info:

Uname -a output: Linux hostname 2.4.21-15.0.4.ELsmp #1 SMP Sat Jul 31 
01:25:25 EDT 2004 i686 i686 i386 GNU/Linux

/etc/redhat-release: Red Hat Enterprise Linux AS release 3 (Taroon 
Update 2)

Profile showed (before sending out): Red Hat Linux version: 3 
(Should be 3AS? I saw 3AS in another testing box which runs up2date 
Comment 1 Adrian Likins 2004-09-17 15:51:00 EDT
whats `rpm -q redhat-release` show?

It should say "3AS", if it says "3" thats why your
getting that error. Then the question is, how
did you get a redhat-release-3 ?
Comment 2 schyu 2004-09-18 01:20:02 EDT
It shows "redhat-release-3-1.

I also don't know what happened. I installed the OS from the ISO 
downloaded from the channel, and initially it works with the up2date 
that's why I got it upgraded to kernel 21-15.0.4EL. But don't know 
why it failed to run it any longer. BTW, I did re-compile the kernel 
and no luck.
Comment 3 schyu 2004-09-18 01:53:53 EDT
Created attachment 103972 [details]
Screen shoots of some files and system parameters
Comment 4 Jonas Skjoldan 2004-11-07 19:03:26 EST
Hey, I also get the same problem, with a new install of Redhat, I have
never godt up2date to work, I have also installed some oracle products.

[skjoldan@skjoldan skjoldan]$ rpm -qi redhat-release
Name        : redhat-release               Relocations: (not relocateable)
Version     : 3ES                               Vendor: Red Hat, Inc.
Release     : 7                             Build Date: Wed 07 Jan
2004 04:32:52 AM CET
Install Date: Fri 23 Apr 2004 11:01:05 PM CEST      Build Host:
Group       : System Environment/Base       Source RPM:
Size        : 795274                           License: GPL
Signature   : DSA/SHA1, Sun 11 Jan 2004 05:50:57 AM CET, Key ID
219180cddb42a60ePackager    : Red Hat, Inc.
Summary     : The Red Hat Enterprise Linux release file.
Description :
The redhat-release package identifies the release of Red Hat
Enterprise Linux.

Comment 5 RHEL Product and Program Management 2007-10-19 15:18:19 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
For more information of the RHEL errata support policy, please visit:
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.